/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_ILASM_GRAMMAR_H_INCLUDED
# define YY_YY_ILASM_GRAMMAR_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    INTEGER_CONSTANT = 258,        /* "integer value"  */
    IDENTIFIER = 259,              /* "identifier"  */
    DOT_IDENTIFIER = 260,          /* ".identifier"  */
    SQUOTE_STRING = 261,           /* "single-quoted string"  */
    DQUOTE_STRING = 262,           /* "double-quoted string"  */
    FLOAT_CONSTANT = 263,          /* "floating point value"  */
    HEX_BYTE = 264,                /* "hexadecimal byte"  */
    COLON_COLON = 265,             /* "::"  */
    DOT_DOT_DOT = 266,             /* "..."  */
    DOT_DOT = 267,                 /* ".."  */
    D_ADDON = 268,                 /* "`.addon'"  */
    D_ALGORITHM = 269,             /* "`.algorithm'"  */
    D_ASSEMBLY = 270,              /* "`.assembly'"  */
    D_BACKING = 271,               /* "`.backing'"  */
    D_BLOB = 272,                  /* "`.blob'"  */
    D_CAPABILITY = 273,            /* "`.capability'"  */
    D_CCTOR = 274,                 /* "`.cctor'"  */
    D_CLASS = 275,                 /* "`.class'"  */
    D_COMTYPE = 276,               /* "`.comtype'"  */
    D_CONFIG = 277,                /* "`.config'"  */
    D_CORFLAGS = 278,              /* "`.corflags'"  */
    D_CTOR = 279,                  /* "`.ctor'"  */
    D_CUSTOM = 280,                /* "`.custom'"  */
    D_DATA = 281,                  /* "`.data'"  */
    D_EMITBYTE = 282,              /* "`.emitbyte'"  */
    D_ENTRYPOINT = 283,            /* "`.entrypoint'"  */
    D_EVENT = 284,                 /* "`.event'"  */
    D_EXELOC = 285,                /* "`.exeloc'"  */
    D_EXPORT = 286,                /* "`.export'"  */
    D_FIELD = 287,                 /* "`.field'"  */
    D_FILE = 288,                  /* "`.file'"  */
    D_FIRE = 289,                  /* "`.fire'"  */
    D_GET = 290,                   /* "`.get'"  */
    D_HASH = 291,                  /* "`.hash'"  */
    D_IMAGEBASE = 292,             /* "`.imagebase'"  */
    D_IMPLICITCOM = 293,           /* "`.implicitcom'"  */
    D_LANGUAGE = 294,              /* "`.language'"  */
    D_LIBRARY = 295,               /* "`.library'"  */
    D_LINE = 296,                  /* "`.line'"  */
    D_LOCALE = 297,                /* "`.locale'"  */
    D_LOCALS = 298,                /* "`.locals'"  */
    D_MANIFESTRES = 299,           /* "`.manifestres'"  */
    D_MAXSTACK = 300,              /* "`.maxstack'"  */
    D_METHOD = 301,                /* "`.method'"  */
    D_MIME = 302,                  /* "`.mime'"  */
    D_MODULE = 303,                /* "`.module'"  */
    D_MRESOURCE = 304,             /* "`.mresource'"  */
    D_NAMESPACE = 305,             /* "`.namespace'"  */
    D_ORIGINATOR = 306,            /* "`.originator'"  */
    D_OS = 307,                    /* "`.os'"  */
    D_OTHER = 308,                 /* "`.other'"  */
    D_OVERRIDE = 309,              /* "`.override'"  */
    D_PACK = 310,                  /* "`.pack'"  */
    D_PARAM = 311,                 /* "`.param'"  */
    D_PERMISSION = 312,            /* "`.permission'"  */
    D_PERMISSIONSET = 313,         /* "`.permissionset'"  */
    D_PROCESSOR = 314,             /* "`.processor'"  */
    D_PROPERTY = 315,              /* "`.property'"  */
    D_PUBLICKEY = 316,             /* "`.publickey'"  */
    D_PUBLICKEYTOKEN = 317,        /* "`.publickeytoken'"  */
    D_REMOVEON = 318,              /* "`.removeon'"  */
    D_SET = 319,                   /* "`.set'"  */
    D_SIZE = 320,                  /* "`.size'"  */
    D_SUBSYSTEM = 321,             /* "`.subsystem'"  */
    D_TITLE = 322,                 /* "`.title'"  */
    D_TRY = 323,                   /* "`.try'"  */
    D_VER = 324,                   /* "`.ver'"  */
    D_VTABLE = 325,                /* "`.vtable'"  */
    D_VTENTRY = 326,               /* "`.vtentry'"  */
    D_VTFIXUP = 327,               /* "`.vtfixup'"  */
    D_ZEROINIT = 328,              /* "`.zeroinit'"  */
    K_AT = 329,                    /* "`at'"  */
    K_AS = 330,                    /* "`as'"  */
    K_IMPLICITCOM = 331,           /* "`implicitcom'"  */
    K_IMPLICITRES = 332,           /* "`implicitres'"  */
    K_NOAPPDOMAIN = 333,           /* "`noappdomain'"  */
    K_NOPROCESS = 334,             /* "`noprocess'"  */
    K_NOMACHINE = 335,             /* "`nomachine'"  */
    K_EXTERN = 336,                /* "`extern'"  */
    K_INSTANCE = 337,              /* "`instance'"  */
    K_EXPLICIT = 338,              /* "`explicit'"  */
    K_DEFAULT = 339,               /* "`default'"  */
    K_VARARG = 340,                /* "`vararg'"  */
    K_UNMANAGED = 341,             /* "`unmanaged'"  */
    K_CDECL = 342,                 /* "`cdecl'"  */
    K_STDCALL = 343,               /* "`stdcall'"  */
    K_THISCALL = 344,              /* "`thiscall'"  */
    K_FASTCALL = 345,              /* "`fastcall'"  */
    K_MARSHAL = 346,               /* "`marshal'"  */
    K_IN = 347,                    /* "`in'"  */
    K_OUT = 348,                   /* "`out'"  */
    K_OPT = 349,                   /* "`opt'"  */
    K_LCID = 350,                  /* "`lcid'"  */
    K_RETVAL = 351,                /* "`retval'"  */
    K_STATIC = 352,                /* "`static'"  */
    K_PUBLIC = 353,                /* "`public'"  */
    K_PRIVATE = 354,               /* "`private'"  */
    K_FAMILY = 355,                /* "`family'"  */
    K_INITONLY = 356,              /* "`initonly'"  */
    K_RTSPECIALNAME = 357,         /* "`rtspecialname'"  */
    K_SPECIALNAME = 358,           /* "`specialname'"  */
    K_ASSEMBLY = 359,              /* "`assembly'"  */
    K_FAMANDASSEM = 360,           /* "`famandassem'"  */
    K_FAMORASSEM = 361,            /* "`famorassem'"  */
    K_PRIVATESCOPE = 362,          /* "`privatescope'"  */
    K_LITERAL = 363,               /* "`literal'"  */
    K_NOTSERIALIZED = 364,         /* "`notserialized'"  */
    K_VALUE = 365,                 /* "`value'"  */
    K_NOT_IN_GC_HEAP = 366,        /* "`not_in_gc_heap'"  */
    K_INTERFACE = 367,             /* "`interface'"  */
    K_SEALED = 368,                /* "`sealed'"  */
    K_ABSTRACT = 369,              /* "`abstract'"  */
    K_AUTO = 370,                  /* "`auto'"  */
    K_SEQUENTIAL = 371,            /* "`sequential'"  */
    K_ANSI = 372,                  /* "`ansi'"  */
    K_UNICODE = 373,               /* "`unicode'"  */
    K_AUTOCHAR = 374,              /* "`autochar'"  */
    K_IMPORT = 375,                /* "`import'"  */
    K_SERIALIZABLE = 376,          /* "`serializable'"  */
    K_NESTED = 377,                /* "`nested'"  */
    K_LATEINIT = 378,              /* "`lateinit'"  */
    K_EXTENDS = 379,               /* "`extends'"  */
    K_IMPLEMENTS = 380,            /* "`implements'"  */
    K_FINAL = 381,                 /* "`final'"  */
    K_VIRTUAL = 382,               /* "`virtual'"  */
    K_HIDEBYSIG = 383,             /* "`hidebysig'"  */
    K_NEWSLOT = 384,               /* "`newslot'"  */
    K_UNMANAGEDEXP = 385,          /* "`unmanagedexp'"  */
    K_PINVOKEIMPL = 386,           /* "`pinvokeimpl'"  */
    K_NOMANGLE = 387,              /* "`nomangle'"  */
    K_OLE = 388,                   /* "`ole'"  */
    K_LASTERR = 389,               /* "`lasterr'"  */
    K_WINAPI = 390,                /* "`winapi'"  */
    K_NATIVE = 391,                /* "`native'"  */
    K_IL = 392,                    /* "`il'"  */
    K_OPTIL = 393,                 /* "`optil'"  */
    K_MANAGED = 394,               /* "`managed'"  */
    K_FORWARDREF = 395,            /* "`forwardref'"  */
    K_RUNTIME = 396,               /* "`runtime'"  */
    K_INTERNALCALL = 397,          /* "`internalcall'"  */
    K_SYNCHRONIZED = 398,          /* "`synchronized'"  */
    K_NOINLINING = 399,            /* "`noinlining'"  */
    K_CUSTOM = 400,                /* "`custom'"  */
    K_FIXED = 401,                 /* "`fixed'"  */
    K_SYSSTRING = 402,             /* "`sysstring'"  */
    K_ARRAY = 403,                 /* "`array'"  */
    K_VARIANT = 404,               /* "`variant'"  */
    K_CURRENCY = 405,              /* "`currency'"  */
    K_SYSCHAR = 406,               /* "`syschar'"  */
    K_VOID = 407,                  /* "`void'"  */
    K_BOOL = 408,                  /* "`bool'"  */
    K_INT8 = 409,                  /* "`int8'"  */
    K_INT16 = 410,                 /* "`int16'"  */
    K_INT32 = 411,                 /* "`int32'"  */
    K_INT64 = 412,                 /* "`int64'"  */
    K_FLOAT32 = 413,               /* "`float32'"  */
    K_FLOAT64 = 414,               /* "`float64'"  */
    K_ERROR = 415,                 /* "`error'"  */
    K_UNSIGNED = 416,              /* "`unsigned'"  */
    K_DECIMAL = 417,               /* "`decimal'"  */
    K_DATE = 418,                  /* "`date'"  */
    K_BSTR = 419,                  /* "`bstr'"  */
    K_LPSTR = 420,                 /* "`lpstr'"  */
    K_LPWSTR = 421,                /* "`lpwstr'"  */
    K_LPTSTR = 422,                /* "`lptstr'"  */
    K_OBJECTREF = 423,             /* "`objectref'"  */
    K_IUNKNOWN = 424,              /* "`iunknown'"  */
    K_IDISPATCH = 425,             /* "`idispatch'"  */
    K_STRUCT = 426,                /* "`struct'"  */
    K_SAFEARRAY = 427,             /* "`safearray'"  */
    K_INT = 428,                   /* "``int''"  */
    K_BYVALSTR = 429,              /* "`byvalstr'"  */
    K_TBSTR = 430,                 /* "`tbstr'"  */
    K_LPVOID = 431,                /* "`lpvoid'"  */
    K_ANY = 432,                   /* "`any'"  */
    K_FLOAT = 433,                 /* "`float'"  */
    K_LPSTRUCT = 434,              /* "`lpstruct'"  */
    K_NULL = 435,                  /* "`null'"  */
    K_VECTOR = 436,                /* "`vector'"  */
    K_HRESULT = 437,               /* "`hresult'"  */
    K_CARRAY = 438,                /* "`carray'"  */
    K_USERDEFINED = 439,           /* "`userdefined'"  */
    K_RECORD = 440,                /* "`record'"  */
    K_FILETIME = 441,              /* "`filetime'"  */
    K_BLOB = 442,                  /* "`blob'"  */
    K_STREAM = 443,                /* "`stream'"  */
    K_STORAGE = 444,               /* "`storage'"  */
    K_STREAMED_OBJECT = 445,       /* "`streamed_object'"  */
    K_STORED_OBJECT = 446,         /* "`stored_object'"  */
    K_BLOB_OBJECT = 447,           /* "`blob_object'"  */
    K_CF = 448,                    /* "`cf'"  */
    K_CLSID = 449,                 /* "`clsid'"  */
    K_METHOD = 450,                /* "`method'"  */
    K_CLASS = 451,                 /* "`class'"  */
    K_PINNED = 452,                /* "`pinned'"  */
    K_MODREQ = 453,                /* "`modreq'"  */
    K_MODOPT = 454,                /* "`modopt'"  */
    K_TYPEDREF = 455,              /* "`typedref'"  */
    K_WCHAR = 456,                 /* "`wchar'"  */
    K_CHAR = 457,                  /* "`char'"  */
    K_FROMUNMANAGED = 458,         /* "`fromunmanaged'"  */
    K_CALLMOSTDERIVED = 459,       /* "`callmostderived'"  */
    K_BYTEARRAY = 460,             /* "`bytearray'"  */
    K_WITH = 461,                  /* "`with'"  */
    K_INIT = 462,                  /* "`init'"  */
    K_TO = 463,                    /* "`to'"  */
    K_CATCH = 464,                 /* "`catch'"  */
    K_FILTER = 465,                /* "`filter'"  */
    K_FINALLY = 466,               /* "`finally'"  */
    K_FAULT = 467,                 /* "`fault'"  */
    K_HANDLER = 468,               /* "`handler'"  */
    K_TLS = 469,                   /* "`tls'"  */
    K_FIELD = 470,                 /* "`field'"  */
    K_REQUEST = 471,               /* "`request'"  */
    K_DEMAND = 472,                /* "`demand'"  */
    K_ASSERT = 473,                /* "`assert'"  */
    K_DENY = 474,                  /* "`deny'"  */
    K_PERMITONLY = 475,            /* "`permitonly'"  */
    K_LINKCHECK = 476,             /* "`linkcheck'"  */
    K_INHERITCHECK = 477,          /* "`inheritcheck'"  */
    K_REQMIN = 478,                /* "`reqmin'"  */
    K_REQOPT = 479,                /* "`reqopt'"  */
    K_REQREFUSE = 480,             /* "`reqrefuse'"  */
    K_PREJITGRANT = 481,           /* "`prejitgrant'"  */
    K_PREJITDENY = 482,            /* "`prejitdeny'"  */
    K_NONCASDEMAND = 483,          /* "`noncasdemand'"  */
    K_NONCASLINKDEMAND = 484,      /* "`noncaslinkdemand'"  */
    K_NONCASINHERITANCE = 485,     /* "`noncasinheritance'"  */
    K_READONLY = 486,              /* "`readonly'"  */
    K_NOMETADATA = 487,            /* "`nometadata'"  */
    K_ALGORITHM = 488,             /* "`algorithm'"  */
    K_FULLORIGIN = 489,            /* "`fullorigin'"  */
    K_NAN = 490,                   /* "`nan'"  */
    K_INF = 491,                   /* "`inf'"  */
    K_PUBLICKEY = 492,             /* "`publickey'"  */
    K_ENABLEJITTRACKING = 493,     /* "`enablejittracking'"  */
    K_DISABLEJITOPTIMIZER = 494,   /* "`disablejitoptimizer'"  */
    K_PRESERVESIG = 495,           /* "`preservesig'"  */
    K_BEFOREFIELDINIT = 496,       /* "`beforefieldinit'"  */
    K_COMPILERCONTROLLED = 497,    /* "`compilercontrolled'"  */
    K_CIL = 498,                   /* "`cil'"  */
    K_VALUETYPE = 499,             /* "`valuetype'"  */
    K_BOXED = 500,                 /* "`boxed'"  */
    K_STRING = 501,                /* "`string'"  */
    K_OBJECT = 502,                /* "`object'"  */
    K_ALIGNMENT = 503,             /* "`alignment'"  */
    K_REQSECOBJ = 504,             /* "`reqsecobj'"  */
    K_TRUE = 505,                  /* "`true'"  */
    K_FALSE = 506,                 /* "`false'"  */
    K_JAVA = 507,                  /* "`java'"  */
    K_NULLREF = 508,               /* "`nullref'"  */
    I_NONE = 509,                  /* I_NONE  */
    I_VAR = 510,                   /* I_VAR  */
    I_INT = 511,                   /* I_INT  */
    I_FLOAT = 512,                 /* I_FLOAT  */
    I_BRANCH = 513,                /* I_BRANCH  */
    I_METHOD = 514,                /* I_METHOD  */
    I_FIELD = 515,                 /* I_FIELD  */
    I_TYPE = 516,                  /* I_TYPE  */
    I_STRING = 517,                /* I_STRING  */
    I_SIGNATURE = 518,             /* I_SIGNATURE  */
    I_RVA = 519,                   /* I_RVA  */
    I_TOKEN = 520,                 /* I_TOKEN  */
    I_SSA = 521,                   /* I_SSA  */
    I_SWITCH = 522,                /* I_SWITCH  */
    I_CONST = 523,                 /* I_CONST  */
    I_IINC = 524,                  /* I_IINC  */
    I_LSWITCH = 525,               /* I_LSWITCH  */
    I_IMETHOD = 526,               /* I_IMETHOD  */
    I_NEWARRAY = 527,              /* I_NEWARRAY  */
    I_MULTINEWARRAY = 528          /* I_MULTINEWARRAY  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define INTEGER_CONSTANT 258
#define IDENTIFIER 259
#define DOT_IDENTIFIER 260
#define SQUOTE_STRING 261
#define DQUOTE_STRING 262
#define FLOAT_CONSTANT 263
#define HEX_BYTE 264
#define COLON_COLON 265
#define DOT_DOT_DOT 266
#define DOT_DOT 267
#define D_ADDON 268
#define D_ALGORITHM 269
#define D_ASSEMBLY 270
#define D_BACKING 271
#define D_BLOB 272
#define D_CAPABILITY 273
#define D_CCTOR 274
#define D_CLASS 275
#define D_COMTYPE 276
#define D_CONFIG 277
#define D_CORFLAGS 278
#define D_CTOR 279
#define D_CUSTOM 280
#define D_DATA 281
#define D_EMITBYTE 282
#define D_ENTRYPOINT 283
#define D_EVENT 284
#define D_EXELOC 285
#define D_EXPORT 286
#define D_FIELD 287
#define D_FILE 288
#define D_FIRE 289
#define D_GET 290
#define D_HASH 291
#define D_IMAGEBASE 292
#define D_IMPLICITCOM 293
#define D_LANGUAGE 294
#define D_LIBRARY 295
#define D_LINE 296
#define D_LOCALE 297
#define D_LOCALS 298
#define D_MANIFESTRES 299
#define D_MAXSTACK 300
#define D_METHOD 301
#define D_MIME 302
#define D_MODULE 303
#define D_MRESOURCE 304
#define D_NAMESPACE 305
#define D_ORIGINATOR 306
#define D_OS 307
#define D_OTHER 308
#define D_OVERRIDE 309
#define D_PACK 310
#define D_PARAM 311
#define D_PERMISSION 312
#define D_PERMISSIONSET 313
#define D_PROCESSOR 314
#define D_PROPERTY 315
#define D_PUBLICKEY 316
#define D_PUBLICKEYTOKEN 317
#define D_REMOVEON 318
#define D_SET 319
#define D_SIZE 320
#define D_SUBSYSTEM 321
#define D_TITLE 322
#define D_TRY 323
#define D_VER 324
#define D_VTABLE 325
#define D_VTENTRY 326
#define D_VTFIXUP 327
#define D_ZEROINIT 328
#define K_AT 329
#define K_AS 330
#define K_IMPLICITCOM 331
#define K_IMPLICITRES 332
#define K_NOAPPDOMAIN 333
#define K_NOPROCESS 334
#define K_NOMACHINE 335
#define K_EXTERN 336
#define K_INSTANCE 337
#define K_EXPLICIT 338
#define K_DEFAULT 339
#define K_VARARG 340
#define K_UNMANAGED 341
#define K_CDECL 342
#define K_STDCALL 343
#define K_THISCALL 344
#define K_FASTCALL 345
#define K_MARSHAL 346
#define K_IN 347
#define K_OUT 348
#define K_OPT 349
#define K_LCID 350
#define K_RETVAL 351
#define K_STATIC 352
#define K_PUBLIC 353
#define K_PRIVATE 354
#define K_FAMILY 355
#define K_INITONLY 356
#define K_RTSPECIALNAME 357
#define K_SPECIALNAME 358
#define K_ASSEMBLY 359
#define K_FAMANDASSEM 360
#define K_FAMORASSEM 361
#define K_PRIVATESCOPE 362
#define K_LITERAL 363
#define K_NOTSERIALIZED 364
#define K_VALUE 365
#define K_NOT_IN_GC_HEAP 366
#define K_INTERFACE 367
#define K_SEALED 368
#define K_ABSTRACT 369
#define K_AUTO 370
#define K_SEQUENTIAL 371
#define K_ANSI 372
#define K_UNICODE 373
#define K_AUTOCHAR 374
#define K_IMPORT 375
#define K_SERIALIZABLE 376
#define K_NESTED 377
#define K_LATEINIT 378
#define K_EXTENDS 379
#define K_IMPLEMENTS 380
#define K_FINAL 381
#define K_VIRTUAL 382
#define K_HIDEBYSIG 383
#define K_NEWSLOT 384
#define K_UNMANAGEDEXP 385
#define K_PINVOKEIMPL 386
#define K_NOMANGLE 387
#define K_OLE 388
#define K_LASTERR 389
#define K_WINAPI 390
#define K_NATIVE 391
#define K_IL 392
#define K_OPTIL 393
#define K_MANAGED 394
#define K_FORWARDREF 395
#define K_RUNTIME 396
#define K_INTERNALCALL 397
#define K_SYNCHRONIZED 398
#define K_NOINLINING 399
#define K_CUSTOM 400
#define K_FIXED 401
#define K_SYSSTRING 402
#define K_ARRAY 403
#define K_VARIANT 404
#define K_CURRENCY 405
#define K_SYSCHAR 406
#define K_VOID 407
#define K_BOOL 408
#define K_INT8 409
#define K_INT16 410
#define K_INT32 411
#define K_INT64 412
#define K_FLOAT32 413
#define K_FLOAT64 414
#define K_ERROR 415
#define K_UNSIGNED 416
#define K_DECIMAL 417
#define K_DATE 418
#define K_BSTR 419
#define K_LPSTR 420
#define K_LPWSTR 421
#define K_LPTSTR 422
#define K_OBJECTREF 423
#define K_IUNKNOWN 424
#define K_IDISPATCH 425
#define K_STRUCT 426
#define K_SAFEARRAY 427
#define K_INT 428
#define K_BYVALSTR 429
#define K_TBSTR 430
#define K_LPVOID 431
#define K_ANY 432
#define K_FLOAT 433
#define K_LPSTRUCT 434
#define K_NULL 435
#define K_VECTOR 436
#define K_HRESULT 437
#define K_CARRAY 438
#define K_USERDEFINED 439
#define K_RECORD 440
#define K_FILETIME 441
#define K_BLOB 442
#define K_STREAM 443
#define K_STORAGE 444
#define K_STREAMED_OBJECT 445
#define K_STORED_OBJECT 446
#define K_BLOB_OBJECT 447
#define K_CF 448
#define K_CLSID 449
#define K_METHOD 450
#define K_CLASS 451
#define K_PINNED 452
#define K_MODREQ 453
#define K_MODOPT 454
#define K_TYPEDREF 455
#define K_WCHAR 456
#define K_CHAR 457
#define K_FROMUNMANAGED 458
#define K_CALLMOSTDERIVED 459
#define K_BYTEARRAY 460
#define K_WITH 461
#define K_INIT 462
#define K_TO 463
#define K_CATCH 464
#define K_FILTER 465
#define K_FINALLY 466
#define K_FAULT 467
#define K_HANDLER 468
#define K_TLS 469
#define K_FIELD 470
#define K_REQUEST 471
#define K_DEMAND 472
#define K_ASSERT 473
#define K_DENY 474
#define K_PERMITONLY 475
#define K_LINKCHECK 476
#define K_INHERITCHECK 477
#define K_REQMIN 478
#define K_REQOPT 479
#define K_REQREFUSE 480
#define K_PREJITGRANT 481
#define K_PREJITDENY 482
#define K_NONCASDEMAND 483
#define K_NONCASLINKDEMAND 484
#define K_NONCASINHERITANCE 485
#define K_READONLY 486
#define K_NOMETADATA 487
#define K_ALGORITHM 488
#define K_FULLORIGIN 489
#define K_NAN 490
#define K_INF 491
#define K_PUBLICKEY 492
#define K_ENABLEJITTRACKING 493
#define K_DISABLEJITOPTIMIZER 494
#define K_PRESERVESIG 495
#define K_BEFOREFIELDINIT 496
#define K_COMPILERCONTROLLED 497
#define K_CIL 498
#define K_VALUETYPE 499
#define K_BOXED 500
#define K_STRING 501
#define K_OBJECT 502
#define K_ALIGNMENT 503
#define K_REQSECOBJ 504
#define K_TRUE 505
#define K_FALSE 506
#define K_JAVA 507
#define K_NULLREF 508
#define I_NONE 509
#define I_VAR 510
#define I_INT 511
#define I_FLOAT 512
#define I_BRANCH 513
#define I_METHOD 514
#define I_FIELD 515
#define I_TYPE 516
#define I_STRING 517
#define I_SIGNATURE 518
#define I_RVA 519
#define I_TOKEN 520
#define I_SSA 521
#define I_SWITCH 522
#define I_CONST 523
#define I_IINC 524
#define I_LSWITCH 525
#define I_IMETHOD 526
#define I_NEWARRAY 527
#define I_MULTINEWARRAY 528

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 673 "ilasm_grammar.y"

	ILInt64			integer;
	ILIntString		strValue;
	ILDouble		real;
	struct {
		ILUInt8		fbytes[4];
		ILUInt8		dbytes[8];
	}				floatValue;
	struct {
		ILInt64		flags;
		ILIntString	nativeType;
		ILInt64		pinvokeAttrs;
		char	   *name1;
		char	   *name2;
	}				fieldAttrs;
	struct {
		ILInt64		flags;
		ILInt64		pinvokeAttrs;
		char	   *name1;
		char	   *name2;
	}				methodAttrs;
	ILInt32			opcode;
	struct {
		ILIntString	interned;
		int			extraSize;
	}				byteList;
	ILClass		   *classInfo;
	ILType		   *type;
	struct
	{
		ILType	   *type;
		ILIntString	nativeType;
	}				marshType;
	struct
	{
		ILAsmParamInfo *paramFirst;
		ILAsmParamInfo *paramLast;
	}				params;
	struct
	{
		ILUInt32	type;
		ILIntString	valueBlob;
	}				fieldInit;
	struct
	{
		ILType		   *type;
		ILProgramItem  *item;

	}				typeSpec;
	ILProgramItem  *customType;
	struct
	{
		char	   *start;
		char	   *end;
	}				scope;
	struct
	{
		char       *label;
		ILInt64     offset;
	}				datalabel;
	ILAsmOutException *exception;
	ILToken			token;


#line 678 "ilasm_grammar.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_ILASM_GRAMMAR_H_INCLUDED  */
